Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127240 - NPE on Run Internally
NPE on Run Internally
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: issues@qa
issues@qa
:
Depends on: 127268
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 23:05 UTC by Ivan Sidorkin
Modified: 2011-02-17 09:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Sidorkin 2008-02-12 23:05:11 UTC
Product Version: NetBeans IDE Dev (Build 200802120006)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1251; ru_RU (nb)

with installed Testing Tools

- create Java Application
- add Jelly TestCase Test
- add required libraries
- try to run added class internally 

java.lang.NullPointerException
	at org.openide.filesystems.FileUtil.copyFile(FileUtil.java:400)
	at org.netbeans.modules.jemmysupport.runinternally.RunInternallyAction.getScript(RunInternallyAction.java:312)
	at org.netbeans.modules.jemmysupport.runinternally.RunInternallyAction.execute(RunInternallyAction.java:348)
	at
org.netbeans.modules.jemmysupport.runinternally.RunInternallyAction.executeSelectedMainClass(RunInternallyAction.java:191)
	at org.netbeans.modules.jemmysupport.runinternally.RunInternallyAction.access$000(RunInternallyAction.java:88)
	at org.netbeans.modules.jemmysupport.runinternally.RunInternallyAction$1.run(RunInternallyAction.java:121)
[catch] at java.lang.Thread.run(Thread.java:619)
Comment 1 Jesse Glick 2008-02-15 20:32:12 UTC
Should not be copying source as FileObject. Can be trivially rewritten to use getResourceAsStream and FileUtil.copy instead.
Comment 2 Jiri Skrivanek 2008-02-19 13:20:26 UTC
Fixed as suggested.
http://hg.netbeans.org/main/contrib/rev/2d568afc1078
Comment 3 Ivan Sidorkin 2008-03-02 01:45:14 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo